FROM nginxinc/nginx-unprivileged:alpine

COPY --chown=nginx:nginx build /usr/share/nginx/html/mijnomgeving/

RUN sed -i '/index  index.html index.htm;/a try_files $uri /mijnomgeving/index.html;' /etc/nginx/conf.d/default.conf

CMD ["/bin/sh", "-c", "cd /usr/share/nginx/html/mijnomgeving/ && ./create-env-config.sh && nginx -g \"daemon off;\""]